## org.omg.CORBA
Class _ValueDefStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._ValueDefStub

All Implemented Interfaces:
  Contained, ContainedOperations, Container, ContainerOperations, IDLEntity, IDLType, IDLTypeOperations, IRObject, IRObjectOperations, Object, java.io.Serializable, ValueDef, ValueDefOperations

public class _ValueDefStub
extends ObjectImpl
implements ValueDef

A ValueDef object represents a value definition.

See Also:
  Serialized Form

Constructor Summary
`_ValueDefStub()`

Method Summary
`java.lang.String[]` `_ids()`
`java.lang.String` `absolute_name()` Read accessor for absolute_name attribute
`ValueDef[]` `abstract_base_values()` Read accessor for abstract_base_values attribute
`void` `abstract_base_values(ValueDef[] value)` Write accessor for abstract_base_values attribute
`ValueDef` `base_value()` Read accessor for base_value attribute
`void` `base_value(ValueDef value)` Write accessor for base_value attribute
`Repository` `containing_repository()` Read accessor for containing_repository attribute
`Contained[]` `contents(DefinitionKind limit_type, boolean exclude_inherited)` Operation contents
`AbstractInterfaceDef` `create_abstract_interface(java.lang.String id, java.lang.String name, java.lang.String version, AbstractInterfaceDef[] base_interfaces)` Operation create_abstract_interface
`AliasDef` `create_alias(java.lang.String id, java.lang.String name, java.lang.String version, IDLType original_type)` Operation create_alias
`AttributeDef` `create_attribute(java.lang.String id, java.lang.String name, java.lang.String version, IDLType type, AttributeMode mode)` Operation create_attribute
`ConstantDef` `create_constant(java.lang.String id, java.lang.String name, java.lang.String version, IDLType type, Any value)` Operation create_constant
`EnumDef` `create_enum(java.lang.String id, java.lang.String name, java.lang.String version, java.lang.String[] members)` Operation create_enum
`ExceptionDef` `create_exception(java.lang.String id, java.lang.String name, java.lang.String version, StructMember[] members)` Operation create_exception
`InterfaceDef` `create_interface(java.lang.String id, java.lang.String name, java.lang.String version, InterfaceDef[] base_interfaces)` Operation create_interface
`LocalInterfaceDef` `create_local_interface(java.lang.String id, java.lang.String name, java.lang.String version, LocalInterfaceDef[] base_interfaces)` Operation create_local_interface
`ModuleDef` `create_module(java.lang.String id, java.lang.String name, java.lang.String version)` Operation create_module
`NativeDef` `create_native(java.lang.String id, java.lang.String name, java.lang.String version)` Operation create_native
`OperationDef` `create_operation(java.lang.String id, java.lang.String name, java.lang.String version, IDLType result, OperationMode mode, ParameterDescription[] params, ExceptionDef[] exceptions, java.lang.String[] contexts)` Operation create_operation
`StructDef` `create_struct(java.lang.String id, java.lang.String name, java.lang.String version, StructMember[] members)` Operation create_struct
`UnionDef` `create_union(java.lang.String id, java.lang.String name, java.lang.String version, IDLType discriminator_type, UnionMember[] members)` Operation create_union
`ValueBoxDef` `create_value_box(java.lang.String id, java.lang.String name, java.lang.String version, IDLType original_type_def)` Operation create_value_box
`ValueMemberDef` `create_value_member(java.lang.String id, java.lang.String name, java.lang.String version, IDLType type, short access)` Operation create_value_member
`ValueDef` `create_value(java.lang.String id, java.lang.String name, java.lang.String version, boolean is_custom, boolean is_abstract, ValueDef base_value, boolean is_truncatable, ValueDef[] abstract_base_value, InterfaceDef[] supported_interfaces, Initializer[] initializers)` Operation create_value
`DefinitionKind` `def_kind()` Read accessor for def_kind attribute
`Container` `defined_in()` Read accessor for defined_in attribute
`Description[]` `describe_contents(DefinitionKind limit_type, boolean exclude_inherited, int max_returned_objs)` Operation describe_contents
`FullValueDescription` `describe_value()` Operation describe_value
`Description` `describe()` Operation describe
`void` `destroy()` Operation destroy
`java.lang.String` `id()` Read accessor for id attribute
`void` `id(java.lang.String value)` Write accessor for id attribute
`Initializer[]` `initializers()` Read accessor for initializers attribute
`void` `initializers(Initializer[] value)` Write accessor for initializers attribute
`boolean` `is_a(java.lang.String id)` Operation is_a
`boolean` `is_abstract()` Read accessor for is_abstract attribute
`void` `is_abstract(boolean value)` Write accessor for is_abstract attribute
`boolean` `is_custom()` Read accessor for is_custom attribute
`void` `is_custom(boolean value)` Write accessor for is_custom attribute
`boolean` `is_truncatable()` Read accessor for is_truncatable attribute
`void` `is_truncatable(boolean value)` Write accessor for is_truncatable attribute
`Contained[]` `lookup_name(java.lang.String search_name, int levels_to_search, DefinitionKind limit_type, boolean exclude_inherited)` Operation lookup_name
`Contained` `lookup(java.lang.String search_name)` Operation lookup
`void` `move(Container new_container, java.lang.String new_name, java.lang.String new_version)` Operation move
`java.lang.String` `name()` Read accessor for name attribute
`void` `name(java.lang.String value)` Write accessor for name attribute
`InterfaceDef[]` `supported_interfaces()` Read accessor for supported_interfaces attribute
`void` `supported_interfaces(InterfaceDef[] value)` Write accessor for supported_interfaces attribute
`TypeCode` `type()` Read accessor for type attribute
`java.lang.String` `version()` Read accessor for version attribute
`void` `version(java.lang.String value)` Write accessor for version attribute

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _ValueDefStub

    public _ValueDefStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### supported_interfaces

    public InterfaceDef[] supported_interfaces()

  Read accessor for supported_interfaces attribute
  Specified by:
    `supported_interfaces` in interface `ValueDefOperations`
  Returns:
    the attribute value

### supported_interfaces

    public void supported_interfaces(InterfaceDef[] value)

  Write accessor for supported_interfaces attribute
  Specified by:
    `supported_interfaces` in interface `ValueDefOperations`
  Parameters:
    `value` - the attribute value

### initializers

    public Initializer[] initializers()

  Read accessor for initializers attribute
  Specified by:
    `initializers` in interface `ValueDefOperations`
  Returns:
    the attribute value

### initializers

    public void initializers(Initializer[] value)

  Write accessor for initializers attribute
  Specified by:
    `initializers` in interface `ValueDefOperations`
  Parameters:
    `value` - the attribute value

### base_value

    public ValueDef base_value()

  Read accessor for base_value attribute
  Specified by:
    `base_value` in interface `ValueDefOperations`
  Returns:
    the attribute value

### base_value

    public void base_value(ValueDef value)

  Write accessor for base_value attribute
  Specified by:
    `base_value` in interface `ValueDefOperations`
  Parameters:
    `value` - the attribute value

### abstract_base_values

    public ValueDef[] abstract_base_values()

  Read accessor for abstract_base_values attribute
  Specified by:
    `abstract_base_values` in interface `ValueDefOperations`
  Returns:
    the attribute value

### abstract_base_values

    public void abstract_base_values(ValueDef[] value)

  Write accessor for abstract_base_values attribute
  Specified by:
    `abstract_base_values` in interface `ValueDefOperations`
  Parameters:
    `value` - the attribute value

### is_abstract

    public boolean is_abstract()

  Read accessor for is_abstract attribute
  Specified by:
    `is_abstract` in interface `ValueDefOperations`
  Returns:
    the attribute value

### is_abstract

    public void is_abstract(boolean value)

  Write accessor for is_abstract attribute
  Specified by:
    `is_abstract` in interface `ValueDefOperations`
  Parameters:
    `value` - the attribute value

### is_custom

    public boolean is_custom()

  Read accessor for is_custom attribute
  Specified by:
    `is_custom` in interface `ValueDefOperations`
  Returns:
    the attribute value

### is_custom

    public void is_custom(boolean value)

  Write accessor for is_custom attribute
  Specified by:
    `is_custom` in interface `ValueDefOperations`
  Parameters:
    `value` - the attribute value

### is_truncatable

    public boolean is_truncatable()

  Read accessor for is_truncatable attribute
  Specified by:
    `is_truncatable` in interface `ValueDefOperations`
  Returns:
    the attribute value

### is_truncatable

    public void is_truncatable(boolean value)

  Write accessor for is_truncatable attribute
  Specified by:
    `is_truncatable` in interface `ValueDefOperations`
  Parameters:
    `value` - the attribute value

### is_a

    public boolean is_a(java.lang.String id)

  Operation is_a
  Specified by:
    `is_a` in interface `ValueDefOperations`

### describe_value

    public FullValueDescription describe_value()

  Operation describe_value
  Specified by:
    `describe_value` in interface `ValueDefOperations`

### create_value_member

    public ValueMemberDef create_value_member(java.lang.String id,
                                              java.lang.String name,
                                              java.lang.String version,
                                              IDLType type,
                                              short access)

  Operation create_value_member
  Specified by:
    `create_value_member` in interface `ValueDefOperations`

### create_attribute

    public AttributeDef create_attribute(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         IDLType type,
                                         AttributeMode mode)

  Operation create_attribute
  Specified by:
    `create_attribute` in interface `ValueDefOperations`

### create_operation

    public OperationDef create_operation(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         IDLType result,
                                         OperationMode mode,
                                         ParameterDescription[] params,
                                         ExceptionDef[] exceptions,
                                         java.lang.String[] contexts)

  Operation create_operation
  Specified by:
    `create_operation` in interface `ValueDefOperations`

### lookup

    public Contained lookup(java.lang.String search_name)

  Operation lookup
  Specified by:
    `lookup` in interface `ContainerOperations`

### contents

    public Contained[] contents(DefinitionKind limit_type,
                                boolean exclude_inherited)

  Operation contents
  Specified by:
    `contents` in interface `ContainerOperations`
  Following copied from interface: `org.omg.CORBA.ContainerOperations`
  Parameters:
    `limit_type` - If limit_type is set to dk_all "all", objects of all interface types are returned. For example, if this is an InterfaceDef, the attribute, operation, and exception objects are all returned. If limit_type is set to a specific interface, only objects of that interface type are returned. For example, only attribute objects are returned if limit_type is set to dk_Attribute "AttributeDef".
    `exclude_inherited` - If set to TRUE, inherited objects (if there are any) are not returned. If set to FALSE, all contained objects,whether contained due to inheritance or because they were defined within the object,are returned.

### lookup_name

    public Contained[] lookup_name(java.lang.String search_name,
                                   int levels_to_search,
                                   DefinitionKind limit_type,
                                   boolean exclude_inherited)

  Operation lookup_name
  Specified by:
    `lookup_name` in interface `ContainerOperations`
  Following copied from interface: `org.omg.CORBA.ContainerOperations`
  Parameters:
    `search_name` - Specified which name is to be searched for.
    `levels_to_search` - Controls whether the lookup is constrained to the object the operation is invoked on or whether it should search through objects contained by the object as well.
    `limit_type` - If limit_type is set to dk_all "all", objects of all interface types are returned. For example, if this is an InterfaceDef, the attribute, operation, and exception objects are all returned. If limit_type is set to a specific interface, only objects of that interface type are returned. For example, only attribute objects are returned if limit_type is set to dk_Attribute "AttributeDef".
    `exclude_inherited` - If set to TRUE, inherited objects (if there are any) are not returned. If set to FALSE, all contained objects,whether contained due to inheritance or because they were defined within the object,are returned.

### describe_contents

    public Description[] describe_contents(DefinitionKind limit_type,
                                           boolean exclude_inherited,
                                           int max_returned_objs)

  Operation describe_contents
  Specified by:
    `describe_contents` in interface `ContainerOperations`
  Following copied from interface: `org.omg.CORBA.ContainerOperations`
  Parameters:
    `limit_type` - If limit_type is set to dk_all "all", objects of all interface types are returned. For example, if this is an InterfaceDef, the attribute, operation, and exception objects are all returned. If limit_type is set to a specific interface, only objects of that interface type are returned. For example, only attribute objects are returned if limit_type is set to dk_Attribute "AttributeDef".
    `exclude_inherited` - If set to TRUE, inherited objects (if there are any) are not returned. If set to FALSE, all contained objects,whether contained due to inheritance or because they were defined within the object,are returned.
    `max_returned_objs` - max_returned_objs Limits the number of objects that can be returned in an invocation of the call to the number provided. Setting the parameter to -1 means return all contained objects.

### create_module

    public ModuleDef create_module(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String version)

  Operation create_module
  Specified by:
    `create_module` in interface `ContainerOperations`

### create_constant

    public ConstantDef create_constant(java.lang.String id,
                                       java.lang.String name,
                                       java.lang.String version,
                                       IDLType type,
                                       Any value)

  Operation create_constant
  Specified by:
    `create_constant` in interface `ContainerOperations`

### create_struct

    public StructDef create_struct(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String version,
                                   StructMember[] members)

  Operation create_struct
  Specified by:
    `create_struct` in interface `ContainerOperations`

### create_union

    public UnionDef create_union(java.lang.String id,
                                 java.lang.String name,
                                 java.lang.String version,
                                 IDLType discriminator_type,
                                 UnionMember[] members)

  Operation create_union
  Specified by:
    `create_union` in interface `ContainerOperations`

### create_enum

    public EnumDef create_enum(java.lang.String id,
                               java.lang.String name,
                               java.lang.String version,
                               java.lang.String[] members)

  Operation create_enum
  Specified by:
    `create_enum` in interface `ContainerOperations`

### create_alias

    public AliasDef create_alias(java.lang.String id,
                                 java.lang.String name,
                                 java.lang.String version,
                                 IDLType original_type)

  Operation create_alias
  Specified by:
    `create_alias` in interface `ContainerOperations`

### create_interface

    public InterfaceDef create_interface(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         InterfaceDef[] base_interfaces)

  Operation create_interface
  Specified by:
    `create_interface` in interface `ContainerOperations`

### create_value

    public ValueDef create_value(java.lang.String id,
                                 java.lang.String name,
                                 java.lang.String version,
                                 boolean is_custom,
                                 boolean is_abstract,
                                 ValueDef base_value,
                                 boolean is_truncatable,
                                 ValueDef[] abstract_base_value,
                                 InterfaceDef[] supported_interfaces,
                                 Initializer[] initializers)

  Operation create_value
  Specified by:
    `create_value` in interface `ContainerOperations`

### create_value_box

    public ValueBoxDef create_value_box(java.lang.String id,
                                        java.lang.String name,
                                        java.lang.String version,
                                        IDLType original_type_def)

  Operation create_value_box
  Specified by:
    `create_value_box` in interface `ContainerOperations`

### create_exception

    public ExceptionDef create_exception(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         StructMember[] members)

  Operation create_exception
  Specified by:
    `create_exception` in interface `ContainerOperations`

### create_native

    public NativeDef create_native(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String version)

  Operation create_native
  Specified by:
    `create_native` in interface `ContainerOperations`

### create_abstract_interface

    public AbstractInterfaceDef create_abstract_interface(java.lang.String id,
                                                          java.lang.String name,
                                                          java.lang.String version,
                                                          AbstractInterfaceDef[] base_interfaces)

  Operation create_abstract_interface
  Specified by:
    `create_abstract_interface` in interface `ContainerOperations`

### create_local_interface

    public LocalInterfaceDef create_local_interface(java.lang.String id,
                                                    java.lang.String name,
                                                    java.lang.String version,
                                                    LocalInterfaceDef[] base_interfaces)

  Operation create_local_interface
  Specified by:
    `create_local_interface` in interface `ContainerOperations`

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute
  Specified by:
    `def_kind` in interface `IRObjectOperations`
  Returns:
    the attribute value

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `IRObjectOperations`

### id

    public java.lang.String id()

  Read accessor for id attribute
  Specified by:
    `id` in interface `ContainedOperations`
  Returns:
    the attribute value

### id

    public void id(java.lang.String value)

  Write accessor for id attribute
  Specified by:
    `id` in interface `ContainedOperations`
  Parameters:
    `value` - the attribute value

### name

    public java.lang.String name()

  Read accessor for name attribute
  Specified by:
    `name` in interface `ContainedOperations`
  Returns:
    the attribute value

### name

    public void name(java.lang.String value)

  Write accessor for name attribute
  Specified by:
    `name` in interface `ContainedOperations`
  Parameters:
    `value` - the attribute value

### version

    public java.lang.String version()

  Read accessor for version attribute
  Specified by:
    `version` in interface `ContainedOperations`
  Returns:
    the attribute value

### version

    public void version(java.lang.String value)

  Write accessor for version attribute
  Specified by:
    `version` in interface `ContainedOperations`
  Parameters:
    `value` - the attribute value

### defined_in

    public Container defined_in()

  Read accessor for defined_in attribute
  Specified by:
    `defined_in` in interface `ContainedOperations`
  Returns:
    the attribute value

### absolute_name

    public java.lang.String absolute_name()

  Read accessor for absolute_name attribute
  Specified by:
    `absolute_name` in interface `ContainedOperations`
  Returns:
    the attribute value

### containing_repository

    public Repository containing_repository()

  Read accessor for containing_repository attribute
  Specified by:
    `containing_repository` in interface `ContainedOperations`
  Returns:
    the attribute value

### describe

    public Description describe()

  Operation describe
  Specified by:
    `describe` in interface `ContainedOperations`

### move

    public void move(Container new_container,
                     java.lang.String new_name,
                     java.lang.String new_version)

  Operation move
  Specified by:
    `move` in interface `ContainedOperations`

### type

    public TypeCode type()

  Read accessor for type attribute
  Specified by:
    `type` in interface `IDLTypeOperations`
  Returns:
    the attribute value